/******************************************************************************************/
/*																						  */
/* File Name:  one.asm									 						  		  */
/*																						  */
/* Date:  August 27, 2002																  */
/*																						  */
/* Purpose:  This file contains the blinkone overlay.  It blinks one LED.  The nops 	  */
/* 			 are only there to demonstrate multiple section types within an overlay.	  */
/*			 In this overlay, there are 5 sections:  									  */
/*			 1) all of code prior to first series of nops								  */
/*			 2) first series of nops													  */
/*			 3) code between the two series of nops										  */
/*			 4) second series of nops													  */
/*			 5) last section of code before end of file 								  */
/*																						  */
/******************************************************************************************/


#include "def21161.h"
.global blinkone;


.segment/pm mem_pmco;

blinkone:

	//section 1: code
	//sets 1 LED to be output
	ustat2 = 0x00000000;
	bit set ustat2 FLG6O;
	dm(IOFLAG) = ustat2;


blink_one_LED: 
	
	r9 = 0x00fff080;
	r10=0x5;
	r11=0x1;

blink:
	//set 1 LED high
	ustat2 = dm(IOFLAG);
	bit set ustat2 FLG6;
	dm(IOFLAG) = ustat2;
	
	
	//section 2: series of nops	
	nop;nop;nop;nop;nop;nop;nop;nop;nop;nop;
	nop;nop;nop;nop;nop;nop;nop;nop;nop;nop;
	
	//section 3: code
	call delay;
	
	//set all 1 LED low
	ustat2 = dm(IOFLAG);
	bit clr ustat2 FLG6;
	dm(IOFLAG) = ustat2;
	
	
	//section 4: series of nops
	nop;nop;nop;nop;nop;nop;nop;nop;nop;nop;
	nop;nop;nop;nop;nop;nop;nop;nop;nop;nop;

	//section 5: code
	call delay;
	
	r10 = r10-r11;
	if eq jump end;
	jump blink;
	
	delay:	lcntr = r9, do end_delay until lce;
		nop;
end_delay: nop;

	
end:rts;

.endseg;
